Bug 15203 - Autofs modules have reproducible oops on my install
Summary: Autofs modules have reproducible oops on my install
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-03 02:07 UTC by Joshua Buysse
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-04 23:41:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joshua Buysse 2000-08-03 02:07:28 UTC
Aug  2 19:28:12 narf kernel: Unable to handle kernel paging request at virtual address c88326ac
Aug  2 19:28:12 narf kernel: current->tss.cr3 = 079bb000, %cr3 = 079bb000
Aug  2 19:28:12 narf kernel: *pde = 07fea063
Aug  2 19:28:12 narf kernel: *pte = 00000000
Aug  2 19:28:12 narf kernel: Oops: 0000
Aug  2 19:28:12 narf kernel: CPU:    0
Aug  2 19:28:12 narf kernel: EIP:    0010:[autofs:__insmod_autofs_O/lib/modules/2.2.16-17/fs/autofs.o_M397F4C+-133460/84]
Aug  2 19:28:12 narf kernel: EFLAGS: 00010212
Aug  2 19:28:12 narf kernel: eax: 00000000   ebx: 00000f00   ecx: 00000000   edx: c88326ac
Aug  2 19:28:12 narf kernel: esi: c79c9f24   edi: c882f050   ebp: 00000000   esp: c796dff8
Aug  2 19:28:12 narf kernel: ds: 0018   es: 0018   ss: 0018
Aug  2 19:28:12 narf kernel: Process modprobe (pid: 48, process nr: 10, stackpage=c796d000)
Aug  2 19:28:12 narf kernel: Stack: c882f000 00000000
Aug  2 19:28:12 narf kernel: Call Trace: [autofs:__insmod_autofs_O/lib/modules/2.2.16-17/fs/autofs.o_M397F4C+-147456/84]

Aug  2 19:28:12 narf kernel: Code: <1>Unable to handle kernel paging request at
virtual address c88326ac
Aug  2 19:28:12 narf kernel: current->tss.cr3 = 079bb000, %cr3 = 079bb000
Aug  2 19:28:12 narf kernel: *pde = 07fea063
Aug  2 19:28:12 narf kernel: *pte = 00000000
Aug  2 19:28:12 narf kernel: Oops: 0000
Aug  2 19:28:12 narf kernel: CPU:    0
Aug  2 19:28:12 narf kernel: EIP:    0010:[show_registers+653/704]
Aug  2 19:28:12 narf kernel: EFLAGS: 00010046
Aug  2 19:28:12 narf kernel: eax: 00000000   ebx: 00000000   ecx: c88326ac   edx: 00000001
Aug  2 19:28:12 narf kernel: esi: 00000000   edi: c796e000   ebp: c8800000   esp: c796df38
Aug  2 19:28:12 narf kernel: ds: 0018   es: 0018   ss: 0018
Aug  2 19:28:12 narf kernel: Process modprobe (pid: 48, process nr: 10, stackpage=c796d000)
Aug  2 19:28:12 narf kernel: Stack: 00000032 00000000 c02430ae c79c9f24 c882f050 00000000 00000000 00000f00
Aug  2 19:28:12 narf kernel:        00000000 c88326ac c88326ac 00010212 c88326ad c9000000 c010a428 c796dfbc
Aug  2 19:28:12 narf kernel:        c01d3307 c01d4bee 00000000 00000000 c010f544 c01d4bee c796dfbc 00000000
Aug  2 19:28:12 narf kernel: Call Trace: [autofs:__insmod_autofs_O/lib/modules/2.2.16-17/fs/autofs.o_M397F4C+-147376/84] [autofs:__insmod_autofs_O/lib/modules/2.2.16-17/fs/autofs.o_M397F4C+-133460/84] [autofs:__insmod_autofs_O/lib/modules/2.2.16-17/fs/autofs.o_M397F4C+-133460/84] [autofs:__insmod_autofs_O/lib/modules/2.2.16-17/fs/autofs.o_M397F4C+-133459/84] [<c9000000>] [die+48/56] [error_table+2631/9280]
Aug  2 19:28:12 narf kernel:        [error_table+9006/9280] [do_page_fault+708/944] [error_table+9006/9280] [autofs:__insmod_autofs_O/lib/modules/2.2.16-17/fs/autofs.o_M397F4C+-147376/84] [error_code+45/56] [autofs:__insmod_autofs_O/lib/modules/2.2.16-17/fs/autofs.o_M397F4C+-133460/84] [autofs:__insmod_autofs_O/lib/modules/2.2.16-17/fs/autofs.o_M397F4C+-147376/84] [autofs:__insmod_autofs_O/lib/modules/2.2.16-17/fs/autofs.o_M397F4C+-133460/84]
Aug  2 19:28:12 narf kernel:        [kernel_thread+35/48] [autofs:__insmod_autofs_O/lib/modules/2.2.16-17/fs/autofs.o_M397F4C+-147456/84]
Aug  2 19:28:12 narf kernel: Code: 8a 04 0b 89 44 24 38 50 68 ff 32 1d c0 e8 c1
9c 00 00 83 c4

Comment 1 Michael K. Johnson 2000-08-04 20:19:07 UTC
Do you (don't laugh!) have a uhci USB controller?
("grep usb /etc/modules.com" will tell us the answer)

Comment 2 Joshua Buysse 2000-08-04 23:41:12 UTC
Yep.  'Tis UHCI.  Old Intel (remarked and re-biosed by Dell) LX board.

Comment 3 Michael K. Johnson 2000-08-07 13:45:43 UTC
OK, in /etc/modules.conf, change
alias usb-controller uhci
to
alias usb-controller usb-uhci

That should fix the problem; it does on all the
machines we have tested it on.  It appears to
be a bug in the uhci module that does not show
up in the usb-uhci module.  We have change our
configuration code to make usb-uhci the default
in the future.


Note You need to log in before you can comment on or make changes to this bug.